Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.aPar
Interface AParFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AParFactoryImpl

    public interface AParFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `AParPackage`

Field Summary
`static AParFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`Import` | `createImport()` Returns a new object of class 'Import'.
`Incorporates` | `createIncorporates()` Returns a new object of class 'Incorporates'.
`Model` | `createModel()` Returns a new object of class 'Model'.
`Parameter` | `createParameter()` Returns a new object of class 'Parameter'.
`SingleParameter` | `createSingleParameter()` Returns a new object of class 'Single Parameter'.
`SweepLink` | `createSweepLink()` Returns a new object of class 'Sweep Link'.
`SweepParameter` | `createSweepParameter()` Returns a new object of class 'Sweep Parameter'.
`AParPackage` | `getAParPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final AParFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createModel

    Model createModel()

  Returns a new object of class 'Model'.

  Returns:
    a new object of class 'Model'.

### createImport

    Import createImport()

  Returns a new object of class 'Import'.

  Returns:
    a new object of class 'Import'.

### createIncorporates

    Incorporates createIncorporates()

  Returns a new object of class 'Incorporates'.

  Returns:
    a new object of class 'Incorporates'.

### createParameter

    Parameter createParameter()

  Returns a new object of class 'Parameter'.

  Returns:
    a new object of class 'Parameter'.

### createSingleParameter

    SingleParameter createSingleParameter()

  Returns a new object of class 'Single Parameter'.

  Returns:
    a new object of class 'Single Parameter'.

### createSweepParameter

    SweepParameter createSweepParameter()

  Returns a new object of class 'Sweep Parameter'.

  Returns:
    a new object of class 'Sweep Parameter'.

### createSweepLink

    SweepLink createSweepLink()

  Returns a new object of class 'Sweep Link'.

  Returns:
    a new object of class 'Sweep Link'.

### getAParPackage

    AParPackage getAParPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD